Latest News: (loading..)
Kyndle

What did I break

4 posts in this topic

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; logger has a deprecated constructor in /homepages/39/d415167771/htdocs/clickandbuilds/osCommerce/Kyndleskrafts/backoffice/includes/classes/logger.php on line 13

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; shoppingCart has a deprecated constructor in /homepages/39/d415167771/htdocs/clickandbuilds/osCommerce/Kyndleskrafts/backoffice/includes/classes/shopping_cart.php on line 13

Warning: session_start(): Cannot send session cookie - headers already sent by (output started at /homepages/39/d415167771/htdocs/clickandbuilds/osCommerce/Kyndleskrafts/backoffice/includes/classes/logger.php:13) in /homepages/39/d415167771/htdocs/clickandbuilds/osCommerce/Kyndleskrafts/backoffice/includes/functions/sessions.php on line 97

Warning: session_start(): Cannot send session cache limiter - headers already sent (output started at /homepages/39/d415167771/htdocs/clickandbuilds/osCommerce/Kyndleskrafts/backoffice/includes/classes/logger.php:13) in /homepages/39/d415167771/htdocs/clickandbuilds/osCommerce/Kyndleskrafts/backoffice/includes/functions/sessions.php on line 97

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; language has a deprecated constructor in /homepages/39/d415167771/htdocs/clickandbuilds/osCommerce/Kyndleskrafts/backoffice/includes/classes/language.php on line 16

Warning: Cannot modify header information - headers already sent by (output started at /homepages/39/d415167771/htdocs/clickandbuilds/osCommerce/Kyndleskrafts/backoffice/includes/classes/logger.php:13) in /homepages/39/d415167771/htdocs/clickandbuilds/osCommerce/Kyndleskrafts/backoffice/includes/functions/general.php on line 38

Share this post


Link to post
Share on other sites

You didn't break anything.

Your host updated the PHP version on their server and now your old, outdated version of osCommerce is having problems.

You need to upgrade or at the very least update the files that are causing you problems.

Share this post


Link to post
Share on other sites
8 hours ago, frankl said:

You didn't break anything.

Your host updated the PHP version on their server and now your old, outdated version of osCommerce is having problems.

You need to upgrade or at the very least update the files that are causing you problems.

Or, ask your host to roll back the version of PHP ... until you can properly fix the problem (ie: upgrade your version of osCommerce).

Malcolm

 

Share this post


Link to post
Share on other sites

Remember, if you have your host roll back PHP to an earlier version, this is not a permanent fix! All you're doing is buying a little time so that your store keeps working while you are updating it. Don't roll back PHP and forget about it -- your old PHP version is unsupported, and you will be very vulnerable to hacks.

You shouldn't try to "fix" your existing store, unless you have so many add-ons and custom codes installed that it would be a horrendous mess to update. It's best to install the latest version (2.3.4 BS "Edge", from GitHub) and migrate your data over to it. Of course, any changes you've made (add-ons and custom coding) will have to be replicated on the new store. But, at least you'll have the latest and greatest store installed, that will work for years to come. Install and data migrate in a test store first, and move it into production only after you're satisfied that it's working properly.

ArtcoInc likes this

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now